Issue 88724

Summary: DEV300_m9 and BEA300_m1 freeze on startup on Kubuntu 6.06 LTS
Product: gsl Reporter: jbf.faure
Component: codeAssignee: thorsten.martens
Status: CLOSED NOT_AN_OOO_ISSUE QA Contact: issues@gsl <issues>
Severity: Trivial    
Priority: P3 CC: eric.bachard, issues, philipp.lohmann
Version: DEV300m9   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
log of script soffice running with strace none

Description jbf.faure 2008-04-25 08:14:11 UTC
Installation of DEV300_m9 (or DEV300_m10) works well but when I 
launch ./soffice I can configure OOo but when I try to open a file  from the 
startcenter I get the following error message :

Logic error 3
Signal 6 during fontconfig initialization called, ignoring fontconfig

and OOo freezes.

My version of Kubnutu is 6.06 LTS
I did not had this problem with Dev300_m3.
Comment 1 Olaf Felka 2008-04-25 09:13:02 UTC
On Ubuntu 6.06 LTS I can't confirm. DEV300_10 starts without errors when using
the startcenter.
Comment 2 jbf.faure 2008-04-25 09:23:45 UTC
Yes, I presume there is a dependence issue specific to (K)ubuntu 6.06 LTS 
(Dapper Drake). But I don't know how to confirm that.
Comment 3 philipp.lohmann 2008-04-25 10:38:09 UTC
Interesting. The "Logic Error 3" is unknown to me. 

"Signal 6 during fontconfig initialization called, ignoring fontconfig" however
is an assertion from psprint/source/printer/cupsmgr.cxx. This is actually a
copy/paste error instead of fontconfig it should say "CUPS" here. This happens
if during cupsGetDests (which is the call to ask the CUPS system for its list of
printers) a crash occurs which we ignore then and take as an indication that
CUPS is misconfigured and not to be used.

The hang afterward I can only guess about; since without CUPS the print system
now falls back to good old command line, I could imagine that the command line
"lpc status" does not return respectively hangs on that system. Could you
confirm this ?
Comment 4 jbf.faure 2008-04-25 11:31:38 UTC
I am trying Dev300_m10 at home with my professionnal laptop which is not 
connected to office network. This network give us access to printers.
At home, without connected printer, OOo 2.4 (it was already the case with 
previous versions) hangs for about 3 minutes after startup on the first dialog 
I click on. After that OOo works normally.
Is it possible that the issue with Dev300_m10 is another manifestation of the 
same problem ? However I have waited for more than 3 minutes before I killed 
Dev300_m10.
Launching OOo 2.4 in a terminal does not give this error message.

"lpc status" give nothing.
Comment 5 jbf.faure 2008-04-26 05:16:44 UTC
If I launch Dev300_m9 before the network is started, OOo crashes with the 
following message error :

Logic error 3
Logic error 3
KCrash: Application 'soffice.bin' crashing...
X IO Error
Comment 6 jbf.faure 2008-04-26 05:44:14 UTC
I forgot to give an information : Dev300_m3 worked well on the same laptop and 
in the same conditions (at home without network printer).
Something has changed between m3 and m9. Perhaps an exotic compiler flag ?
Comment 7 jbf.faure 2008-04-26 06:17:07 UTC
Same problem with BEA300_m1.
Comment 8 jbf.faure 2008-04-26 13:27:44 UTC
Thanks to the help of ericb, it seems that, under Kubuntu, the desktop is not 
detected.
If I add 

SAL_USE_VCLPLUGIN="gen"
export SAL_USE_VCLPLUGIN

to the beginning of the soffice shell script, then BEA300_m1 works well.
I presume it will be the same for DEV300_m9 and DEV300_m10.

If I change "gen" into "kde", I get the same error message :
Signal 6 during fontconfig initialization called, ignoring fontconfig
Comment 9 jbf.faure 2008-04-26 18:55:47 UTC
Perhaps it is a problem of dependence : (K)ubuntu 6.06 has version 2.2 of 
glibc2 and BEA300_m1 needs version 2.3.1 (cf readme).
I don't understand why dependencies are not specified in Debian packages.
Comment 10 sgautier.ooo 2008-04-27 13:01:52 UTC
Hi, 

I have installed a clean (no other OOo installed) installation of BEA300_m1
under Ubuntu 6.06, glibc2 version is 2.2 without any problem. All modules load
and works correctly. Adding the FR language pack works well too.

Kind regards - Sophie
Comment 11 jbf.faure 2008-04-30 21:39:36 UTC
If I replace the proprietary driver nvidia by the free driver provided by 
Ubuntu (nv) in my xorg.conf, then BEA300_m1 works well.
Comment 12 jbf.faure 2008-04-30 21:40:14 UTC
and closed.
Comment 13 jbf.faure 2008-06-08 15:12:33 UTC
New data for this issue after tests on Dev300_m17 and OOo 2.4.1 RC2 :

- with environnement variable SAL_USE_VCLPLUGIN="kde" OOo crashes with error 
message : 
Logic error 3
Signal 6 during fontconfig initialization called, ignoring fontconfig

- with SAL_USE_VCLPLUGIN="gen" OOo don't crash but the look&feel is ... :)

- with SAL_USE_VCLPLUGIN="gtk" OOo don't crash but icons et menus disappear 
when the mouse goes over

- with SAL_USE_VCLPLUGIN="gtk" and SAL_NO_NWF="1" (it seems that the value 1 
does not matter) OOo works well with l&f gtk under kde. I have only 6 warning 
messages like :
(soffice:16328): Gtk-WARNING **: gtkwidget.c:7322: widget class `GtkWindow' 
has no property named `link-color'
and :
(soffice:16328): Gtk-WARNING **: gtkwidget.c:7322: widget class `GtkWindow' 
has no property named `visited-link-color'

If I add export SAL_DISABLE_SYNCHRONOUS_PRINTER_DETECTION="true"
the problem of hanging at startup when my laptop is connected to another 
network disappears (cf. my 4th additional comment).
Comment 14 jbf.faure 2008-06-08 15:16:48 UTC
.
Comment 15 philipp.lohmann 2008-06-10 02:01:53 UTC
Could you please attach a stack trace of the crash with the kde plugin ? The
setting of SAL_DISABLE_SYNCHRONOUS_PRINTER_DETECTION will cause OOo not to wait
for CUPS or lpr to find the installed printers before displaying them, which
explains why it starts up immediately after that.
Comment 16 jbf.faure 2008-06-10 04:54:46 UTC
Created attachment 54349 [details]
log of script soffice running with strace
Comment 17 jbf.faure 2008-06-10 05:01:02 UTC
I have attached the log of the command
strace soffice.sh
where soffice.sh is the following script :

#!/bin/sh
# script pour lancer OOo avec JMF
JMFHOME=/home/faure/bin/JMF2.1.1e
CLASSPATH=$JMFHOME/lib/jmf.jar:.:${CLASSPATH}
export SAL_USE_VCLPLUGIN="kde"
export SAL_DISABLE_SYNCHRONOUS_PRINTER_DETECTION="true"
/opt/ooo-dev3/program/soffice  "$@"

I need to kill OOo by ctrl+C after the error message
Signal 6 during fontconfig initialization called, ignoring fontconfig
Comment 18 jbf.faure 2008-06-27 07:12:05 UTC
For OOo 2.4.1 and from Dev300_m19 it works well (KDE l&f) with only 
export SAL_NO_NWF="1"
OOo being configured to use system fonts for the UI.
Comment 19 ydutrieux 2008-07-07 18:44:11 UTC
I confirm I have the same problem with dev300m22.

and JBF workaround works also for me.

export SAL_NO_NWF="1"
OOo being configured to use system fonts for the UI.

nb : Simply Mepis 7 / KDE 3.5 / Ati Radeon
Yves
Comment 20 Mechtilde 2009-08-05 22:20:41 UTC
and now? one year later?

does it also haappen with a clear user environment and the latest version of
openOffice.org?
Comment 21 jbf.faure 2009-08-06 04:48:15 UTC
Oh sorry, I forgot to update this issue. I do not use KDE anymore, partially
because of the lack of system integration of OOo in KDE. So I can't say if the
problem still occur with OOo 3.x and I do not know what is the best resolution
mode to close this issue. worksforme, wontfix ?

Regards
JBF
Comment 22 Mechtilde 2009-09-25 18:18:45 UTC
if nobody gives a further comment here I set the issue to invalid
Comment 23 Mechtilde 2009-09-25 18:19:35 UTC
-> closed